Passer au contenu principal
GET
/
events
/
v3
/
event-definitions
Récupérer les définitions d'événements
curl --request GET \
  --url https://api.hubapi.com/events/v3/event-definitions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "archived": true,
      "associations": [
        {
          "allowsCustomLabels": true,
          "cardinality": "ONE_TO_MANY",
          "category": "HUBSPOT_DEFINED",
          "fromObjectTypeId": "<string>",
          "hasAllAssociatedObjects": true,
          "hasCascadingDeletes": true,
          "hasUserEnforcedMaxFromObjectIds": true,
          "hasUserEnforcedMaxToObjectIds": true,
          "hidden": true,
          "id": 123,
          "inverseAllowsCustomLabels": true,
          "inverseCardinality": "ONE_TO_MANY",
          "inverseHasAllAssociatedObjects": true,
          "inverseId": 123,
          "inverseName": "<string>",
          "isDefault": true,
          "isInversePrimary": true,
          "isPrimary": true,
          "maxFromObjectIds": 123,
          "maxToObjectIds": 123,
          "name": "<string>",
          "portalUniqueIdentifier": "<string>",
          "readOnly": true,
          "toObjectTypeId": "<string>",
          "fromObjectType": "ABANDONED_CART",
          "hiddenReason": "DEFAULT",
          "inverseLabel": "<string>",
          "label": "<string>",
          "toObjectType": "ABANDONED_CART"
        }
      ],
      "fullyQualifiedName": "<string>",
      "id": "<string>",
      "labels": {
        "singular": "<string>",
        "plural": "<string>"
      },
      "name": "<string>",
      "objectTypeId": "<string>",
      "properties": [
        {
          "description": "<string>",
          "fieldType": "<string>",
          "groupName": "<string>",
          "label": "<string>",
          "name": "<string>",
          "options": [
            {
              "hidden": true,
              "label": "<string>",
              "value": "<string>",
              "description": "<string>",
              "displayOrder": 123
            }
          ],
          "type": "<string>",
          "archived": true,
          "archivedAt": "2023-11-07T05:31:56Z",
          "calculated": true,
          "calculationFormula": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "createdUserId": "<string>",
          "currencyPropertyName": "<string>",
          "dataSensitivity": "highly_sensitive",
          "dateDisplayHint": "absolute",
          "displayOrder": 123,
          "externalOptions": true,
          "formField": true,
          "hasUniqueValue": true,
          "hidden": false,
          "hubspotDefined": true,
          "modificationMetadata": {
            "archivable": true,
            "readOnlyDefinition": true,
            "readOnlyValue": true,
            "readOnlyOptions": true
          },
          "numberDisplayHint": "currency",
          "referencedObjectType": "<string>",
          "sensitiveDataCategories": [
            "<string>"
          ],
          "showCurrencySymbol": true,
          "updatedAt": "2023-11-07T05:31:56Z",
          "updatedUserId": "<string>"
        }
      ],
      "comboEventRules": {
        "composingRules": [
          {
            "count": 123,
            "eventTypeId": "<string>",
            "propertyFilters": [
              {
                "filterType": "PROPERTY",
                "operation": {
                  "includeObjectsWithNoValueSet": true,
                  "operationType": "<string>",
                  "operator": "HAS_EVER_BEEN_EQUAL_TO",
                  "operatorName": "<string>",
                  "propertyType": "bool",
                  "value": true,
                  "defaultValue": "<string>",
                  "renderSpec": "<string>"
                },
                "property": "<string>",
                "context": {
                  "objectTypeId": "<string>"
                },
                "filterInsightsId": 123,
                "frameworkFilterId": 123
              }
            ],
            "lookbackWindowDays": 123
          }
        ],
        "operationType": "AND",
        "ruleBranches": "<array>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "createdUserId": 123,
      "customMatchingId": {
        "primaryObjectRule": {
          "eventPropertyName": "<string>",
          "targetObjectPropertyName": "<string>"
        }
      },
      "description": "<string>",
      "detailTemplate": "<string>",
      "headerTemplate": "<string>",
      "primaryObject": "<string>",
      "primaryObjectId": "<string>",
      "trackingType": "APP_EVENT",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedUserId": 123
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

after
string

Le jeton de curseur de pagination de la dernière ressource lue avec succès sera renvoyé en tant que propriété JSON paging.next.after d'une réponse paginée contenant plus de résultats.

includeProperties
boolean

Détermine s'il faut inclure les propriétés des définitions d'événement dans la réponse.

limit
integer<int32>

Le nombre maximum de résultats à afficher par page.

searchString
string

Caractères dans le nom de l'événement que l'utilisateur recherche. Cette recherche est une simple recherche à base de « contient », aucune correspondance partielle n'est effectuée.

sortOrder
string

Précise l'ordre dans lequel les définitions d'événements sont triées.

Réponse

successful operation

results
object[]
requis
total
integer<int32>
requis
paging
object
Last modified on April 13, 2026